๐Ÿ† Omniagent API Hackathon ยท May 18 โ€“ June 15 โ€” Register now and start building
API ReferenceKnowledge Bases

/public/knowledge-bases/{knowledgeBaseId}/files/{fileId}/summary

PATCH
/public/knowledge-bases/{knowledgeBaseId}/files/{fileId}/summary

Authorization

ApiKeyAuth
X-Api-Key<token>

API key for authentication. Passed as a header on every request.

In: header

Path Parameters

knowledgeBaseId*string
fileId*string

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PATCH "https://companion-api.napster.com/public/knowledge-bases/string/files/string/summary" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "status": "pending",
  "originalName": "string",
  "contentType": "string",
  "summary": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}